## parser 0.0-2

=== DESCRIPTION ===
Package: parser
Type: Package
Title: Detailed R source code parser
Version: 0.0-2
Date: 2009-07-24
Author: Romain Francois <francoisromain@free.fr>
Maintainer: Romain Francois <francoisromain@free.fr>
Description: detailed source code parser, based on the standard R
        parser but organizing the information differently
License: GPL (>= 3)
Depends: R (>= 2.9)
Repository: CRAN
Repository/R-Forge/Project: highlight
Repository/R-Forge/Revision: 187
Date/Publication: 2009-07-27 19:54:03
Packaged: 2009-07-26 21:12:49 UTC; rforge

## parser 0.0-3

=== DESCRIPTION ===
Package: parser
Type: Package
Title: Detailed R source code parser
Version: 0.0-3
Date: 2009-07-28
Author: Romain Francois <francoisromain@free.fr>
Maintainer: Romain Francois <francoisromain@free.fr>
Description: detailed source code parser, based on the standard R
        parser but organizing the information differently
License: GPL (>= 3)
Depends: R (>= 2.9)
LazyData: yes
Repository: CRAN
Repository/R-Forge/Project: highlight
Repository/R-Forge/Revision: 191
Date/Publication: 2009-07-30 12:52:22
Packaged: 2009-07-28 21:07:33 UTC; rforge

## parser 0.0-5

=== DESCRIPTION ===
Package: parser
Type: Package
Title: Detailed R source code parser
Version: 0.0-5
Date: 2009-11-20
Author: Romain Francois <francoisromain@free.fr>
Maintainer: Romain Francois <francoisromain@free.fr>
Description: detailed source code parser, based on the standard R
        parser but organizing the information differently
License: GPL (>= 3.0)
Depends: R (>= 2.10.0)
LazyData: yes
Packaged: 2009-11-20 19:48:38 UTC; romain
Repository: CRAN
Date/Publication: 2009-11-22 16:21:01

## parser 0.0-6

=== DESCRIPTION ===
Package: parser
Type: Package
Title: Detailed R source code parser
Version: 0.0-6
Date: 2009-12-12
Author: Romain Francois <francoisromain@free.fr>
Maintainer: Romain Francois <francoisromain@free.fr>
Description: detailed source code parser, based on the standard R
        parser but organizing the information differently
License: GPL (>= 3.0)
Depends: R (>= 2.10.0)
LazyData: yes
Packaged: 2009-12-12 08:04:59 UTC; romain
Repository: CRAN
Date/Publication: 2009-12-13 09:46:35

## parser 0.0-7

=== DESCRIPTION ===
Package: parser
Type: Package
Title: Detailed R source code parser
Version: 0.0-7
Date: 2009-12-13
Author: Romain Francois <francoisromain@free.fr>
Maintainer: Romain Francois <francoisromain@free.fr>
Description: detailed source code parser, based on the standard R
        parser but organizing the information differently
License: GPL (>= 3.0)
Depends: R (>= 2.10.0)
LazyData: yes
Packaged: 2009-12-13 17:40:09 UTC; romain
Repository: CRAN
Date/Publication: 2009-12-13 19:47:47

## parser 0.0-8

=== DESCRIPTION ===
Package: parser
Type: Package
Title: Detailed R source code parser
Version: 0.0-8
Date: 2010-02-12
Author: Romain Francois <romain@r-enthusiasts.com>
Maintainer: Romain Francois <romain@r-enthusiasts.com>
Description: detailed source code parser, based on the standard R
        parser but organizing the information differently
License: GPL (>= 3.0)
Depends: R (>= 2.10.0)
LazyData: yes
URL: http://www.r-enthusiasts.com
Packaged: 2010-02-12 08:58:43 UTC; romain
Repository: CRAN
Date/Publication: 2010-02-12 09:47:02

## parser 0.0-9

=== DESCRIPTION ===
Package: parser
Type: Package
Title: Detailed R source code parser
Version: 0.0-9
Date: 2010-02-13
Author: Romain Francois <romain@r-enthusiasts.com>
Maintainer: Romain Francois <romain@r-enthusiasts.com>
Description: detailed source code parser, based on the standard R
        parser but organizing the information differently
License: GPL (>= 3.0)
Depends: R (>= 2.10.0)
LazyData: yes
URL: http://www.r-enthusiasts.com
Packaged: 2010-02-12 19:18:12 UTC; romain
Repository: CRAN
Date/Publication: 2010-02-12 20:28:30

## parser 0.0-10

=== DESCRIPTION ===
Package: parser
Type: Package
Title: Detailed R source code parser
Version: 0.0-10
Date: 2010-05-31
Author: Romain Francois <romain@r-enthusiasts.com>
Maintainer: Romain Francois <romain@r-enthusiasts.com>
Description: detailed source code parser, based on the standard R
        parser but organizing the information differently
License: GPL (>= 3.0)
Depends: R (>= 2.10.0)
LazyData: yes
URL: http://www.r-enthusiasts.com
Packaged: 2010-05-31 07:49:20 UTC; romain
Repository: CRAN
Date/Publication: 2010-05-31 08:12:33

## parser 0.0-13

=== DESCRIPTION ===
Package: parser
Type: Package
Title: Detailed R source code parser
Version: 0.0-13
Date: 2010-11-29
Author: Romain Francois <romain@r-enthusiasts.com>
Maintainer: Romain Francois <romain@r-enthusiasts.com>
Description: detailed source code parser, based on the standard R
        parser but organizing the information differently
License: GPL (>= 2.0)
Depends: R (>= 2.12.0), Rcpp (>= 0.8.9)
LinkingTo: Rcpp
LazyData: yes
URL: http://www.r-enthusiasts.com
Packaged: 2010-11-29 10:29:01 UTC; romain
Repository: CRAN
Date/Publication: 2010-11-29 10:33:05

## parser 0.0-14

=== DESCRIPTION ===
Package: parser
Type: Package
Title: Detailed R source code parser
Version: 0.0-14
Date: 2011-10-21
Author: Romain Francois <romain@r-enthusiasts.com>
Maintainer: Romain Francois <romain@r-enthusiasts.com>
Description: detailed source code parser, based on the standard R
        parser but organizing the information differently
License: GPL (>= 2.0)
Depends: R (>= 2.12.0), Rcpp (>= 0.9.7)
LinkingTo: Rcpp
LazyData: yes
RcppModules: parser_module
URL: http://www.r-enthusiasts.com
Packaged: 2011-10-21 15:13:01 UTC; romain
Repository: CRAN
Date/Publication: 2011-10-23 10:09:54

## parser 0.0-15

=== DESCRIPTION ===
Package: parser
Type: Package
Title: Detailed R source code parser
Version: 0.0-15
Date: 2012-06-23
Author: Romain Francois <romain@r-enthusiasts.com>
Maintainer: ORPHANED
Description: detailed source code parser, based on the standard R
        parser but organizing the information differently
License: GPL (>= 2.0)
Depends: R (>= 2.12.0), Rcpp (>= 0.9.7)
LinkingTo: Rcpp
LazyData: yes
RcppModules: parser_module
Packaged: 2012-06-22 11:53:13 UTC; ripley
X-CRAN-Comment: Orphaned on 2012-06-18 as the orginal maintainer,
        Romain Francois <romain@r-enthusiasts.com>, is unrespsonsive.
Repository: CRAN
Date/Publication: 2012-06-22 12:46:35

## parser 0.0-16

=== DESCRIPTION ===
Package: parser
Type: Package
Title: Detailed R source code parser
Version: 0.0-16
Date: 2012-06-25
Author: Romain Francois <romain@r-enthusiasts.com>
Maintainer: Andrew Redd <Andrew.Redd@hsc.utah.edu>
Description: detailed source code parser, based on the standard R
        parser but organizing the information differently
License: GPL (>= 2.0)
Depends: R (>= 2.12.0), Rcpp (>= 0.9.7)
LinkingTo: Rcpp
LazyData: yes
RcppModules: parser_module
URL: https://github.com/halpo/parser
Packaged: 2012-06-26 04:46:00 UTC; aredd
Repository: CRAN
Date/Publication: 2012-06-26 04:46:08

## parser 0.1

=== DESCRIPTION ===
Package: parser
Type: Package
Title: Detailed R source code parser
Version: 0.1
Date: 2012-11-02
Author: Romain Francois <romain@r-enthusiasts.com>
Maintainer: Andrew Redd <Andrew.Redd@hsc.utah.edu>
Description: detailed source code parser, based on the standard R
        parser but organizing the information differently
License: GPL (>= 2.0)
Depends: methods, R (< 3.0.0), R (>= 2.15.0), Rcpp (>= 0.9.11)
Suggests: igraph, testthat
Imports: testthat
LinkingTo: Rcpp
LazyData: yes
RcppModules: parser_module
URL: https://github.com/halpo/parser
Collate: 'parser-package.R' 'parser.R' 'plot.parser.R' 'zzz.R'
Packaged: 2013-01-13 10:05:30 UTC; ripley
Repository: CRAN
Date/Publication: 2013-01-13 11:08:24

## parser 3.4.0

=== debian/changelog ===
parser (3.4.0-4ubuntu1) oneiric; urgency=low

  * 113_init_vvoid.patch: patch from Debian. Fixes FTBFS with gcc 4.6
    (LP: #771010).

 -- Ilya Barygin <barygin@gmail.com>  Sun, 14 Aug 2011 16:26:14 +0400

parser (3.4.0-4) unstable; urgency=low

  * Refresh patches with --no-index --no-timestamps -pab --diffstat
  * Update ltconfig & ltmain.sh to make lintian happy
  * Use tiny debian/rules, bump up debhelper compat level
  * Create links for docs (to parser3-common)
  * Add lintian overrides for cannot-check-whether-usr-share-doc-
    symlink-points-to-foreign-package (/usr/share/doc/<package> ->
    parser3-common)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 19 Mar 2011 01:10:14 +0300

parser (3.4.0-3) unstable; urgency=low

  * Bump up Standards-Version
  * Add hints to enable mod_actions in doc
  * Use versioned LGPL license file in debian/copyright
  * Added "DM-Upload-Allowed: yes" control field

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 04 Mar 2011 14:40:59 +0300

parser (3.4.0-2) unstable; urgency=low

  * Add ${misc:Depends} for parser3.
  * Use "3.0 (quilt)" package format.
  * Update format of debian/copyright, copyright years.
  * Bump Standards-Version to 3.8.4.
  * Patch embedded copy ltdl.c from upstream branch-1-5 (CVE-2009-3736).
    Closes: #559837.
  * Use automake-1.9 for 199 patch (Closes: #560608).

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 19 May 2010 21:20:06 +0400

parser (3.4.0-1) unstable; urgency=low

  * New Upstream Version.
  * Update patchset for 3.4.0.
  * Drop patches: 106,108,109.
  * Cleanup obsolete notes in README.Debian.
  * Add notes for quilt in debian/README.source.

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 19 Nov 2009 01:42:28 +0300

parser (3.3.0-9) unstable; urgency=low

  * Bump up Standards-Version (3.8.3)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 01 Sep 2009 18:07:26 +0400

parser (3.3.0-8) unstable; urgency=low

  * Fix trim for utf8 strings.
  * Include all ^trim tests (works in utf8 now).
  * Fix desc for 109 patch.
  * Update config.{sub,guess} files (Closes: #535725).
  * Standards-Version -> 3.8.2

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sun, 23 Aug 2009 12:08:23 +0400

parser (3.3.0-7) unstable; urgency=low

  * Use symlink for doc/ in parser3 metapackage.
  * Cleanup pcre defines (only really required internal stuff).
  * Fix desc for patch 107.
  * Merge amd64 fixes from release_3_3_0 branch.
  * Fix comment for patch 107.

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 06 Jun 2009 13:23:28 +0400

parser (3.3.0-6) unstable; urgency=low

  * Initial release (Closes: #519574).

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 13 Mar 2009 19:30:45 +0300

=== debian/control ===
Source: parser
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), automake1.9, libgc-dev, libpcre3-dev, libxml2-dev, libxslt1-dev, quilt
VCS-Git: git://git.debian.org/collab-maint/parser.git
VCS-Browser: http://git.debian.org/?p=collab-maint/parser.git;a=summary
Homepage: http://www.parser.ru/en/
Standards-Version: 3.9.1

Package: parser3
Architecture: all
Depends: ${misc:Depends}, parser3-cgi (>= ${source:Version}), parser3-common (>= ${source:Version})
Description: Parser 3, HTML-embedded scripting language (metapackage)
 This is a metapackage that, when installed, guarantees that you have
 at least one of the server-side versions of the Parser 3 interpreter
 installed. Removing this package won't remove Parser 3 from your
 system, but it may remove other packages that depend on this one.
 .
 Parser 3 - simple and convenient object-oriented language which
 allows creating good sites in short time.
 .
 Available features:
  * XML, XSL, XPath and DOM support
  * Available in documented source code
  * Uniformed database support
  * Support of object-oriented programmers
  * Detailed language documentation (160 pages!)
  * UTF-8 support

Package: parser3-common
Architecture: any
Depends: ${misc:Depends}
Description: Common files for packages built from the Parser 3 source
 This package contains the documentation and example files relevant to
 all the other packages built from the Parser 3 source.
 .
 Parser 3 - simple and convenient object-oriented language which
 allows creating good sites in short time.
 .
 Available features:
  * XML, XSL, XPath and DOM support
  * Available in documented source code
  * Uniformed database support
  * Support of object-oriented programmers
  * Detailed language documentation (160 pages!)
  * UTF-8 support

Package: parser3-cgi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, parser3-common (= ${binary:Version})
Description: Parser 3, HTML-embedded scripting language (CGI binary)
 This package provides the /usr/lib/cgi-bin/parser3 CGI interpreter built
 for use in Apache 2 with mod_actions, or any other CGI httpd that
 supports a similar mechanism.
 .
 Parser 3 - simple and convenient object-oriented language which
 allows creating good sites in short time.
 .
 Available features:
  * XML, XSL, XPath and DOM support
  * Available in documented source code
  * Uniformed database support
  * Support of object-oriented programmers
  * Detailed language documentation (160 pages!)
  * UTF-8 support

Package: parser3-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}, parser3-common (= ${binary:Version})
Description: Files for Parser 3 module development
 This package provides the files from the Parser 3 source needed for
 compiling additional modules.
 .
 Parser 3 - simple and convenient object-oriented language which
 allows creating good sites in short time.
 .
 Available features:
  * XML, XSL, XPath and DOM support
  * Available in documented source code
  * Uniformed database support
  * Support of object-oriented programmers
  * Detailed language documentation (160 pages!)
  * UTF-8 support

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-safe-mode \
		--prefix=/usr \
		--sysconfdir=/etc/parser3 \
		--datadir=/usr/share/parser3 \
		--libdir=/usr/lib/parser3 \
		--includedir=/usr/include/parser3 \
		--with-shared-xml=/usr/ \
		--with-shared-gc=/usr/ \
		--with-mysql-client=/usr \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info \
		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" LIBS="-lpcre"

override_dh_auto_install:
	dh_auto_install
	mv debian/tmp/etc/parser3/auto.p.dist \
		debian/tmp/etc/parser3/auto.p

override_dh_link:
	for package in parser3 parser3-cgi parser3-dev; do \
	  rm -rf debian/$$package/usr/share/doc/$$package; \
	done
	dh_link

## parser 3.4.1

=== debian/changelog ===
parser (3.4.1-4) unstable; urgency=low

  * Reformat debian/copyright according to accepted DEP5 spec
  * Bump up Standards-Version to 3.9.3 (no changes)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 05 Mar 2012 15:29:17 +0400

parser (3.4.1-3) unstable; urgency=low

  * Added dependence on apache2.2-common for libapache2-mod-parser3 (fix
    puiparts installation error)
  * Fixed desc for libapache2-mod-parser3

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 26 Nov 2011 20:45:02 +0400

parser (3.4.1-2) unstable; urgency=low

  * Remove /etc/patser3/apache2/auto.p from CGI SAPI package (Closes:
    #649870)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 24 Nov 2011 23:56:32 +0400

parser (3.4.1-1) unstable; urgency=low

  * Create default constructor for VVoid to make compiler happy (with -
    fpermissive).  Closes: #625021.
  * Bump up Standards-Version to 3.9.2.
  * Added (tmp) override for embedded-library ltdl
  * Removed obsoleted overrides cannot-check-whether-usr-share-doc-
    symlink-points-to-foreign-package
  * Imported Upstream version 3.4.1
  * Refresh patches for 3.4.1 version
  * Update debian/operators.ru.txt
  * Build with Apache2 shared module
  * Cleanup debian/rules
  * Patch to build both CGI & Apache2 SAPI for --with-apache
  * Install auto.p in /etc/parser3/apache2/ for Apache2 SAPI
  * Install parser3.load for apache2 module
  * Fix apache.conf for apache2 module
  * Clarify installation procedure for different SAPI
  * Added postinst/prerm scripts for libapache2-mod-parser3 package

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sun, 20 Nov 2011 20:42:41 +0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: parser
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
+Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50), automake1.9, libgc-dev, libpcre3-dev, libxml2-dev, libxslt1-dev, quilt
+Build-Depends: debhelper (>= 7.0.50), automake1.9, libgc-dev, libpcre3-dev, libxml2-dev, libxslt1-dev, quilt, apache2-prefork-dev (>= 2.2.3) | apache2-threaded-dev (>= 2.2.3)
 VCS-Git: git://git.debian.org/collab-maint/parser.git
 VCS-Browser: http://git.debian.org/?p=collab-maint/parser.git;a=summary
 Homepage: http://www.parser.ru/en/
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 
 Package: parser3
 Architecture: all
@@ -67,6 +66,23 @@
   * Detailed language documentation (160 pages!)
   * UTF-8 support
 
+Package: libapache2-mod-parser3
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, parser3-common (= ${binary:Version}), apache2.2-common
+Description: Parser 3, HTML-embedded scripting language (Apache2 module)
+ This package provides the Apache Parser3 module.
+ .
+ Parser 3 - simple and convenient object-oriented language which
+ allows creating good sites in short time.
+ .
+ Available features:
+  * XML, XSL, XPath and DOM support
+  * Available in documented source code
+  * Uniformed database support
+  * Support of object-oriented programmers
+  * Detailed language documentation (160 pages!)
+  * UTF-8 support
+
 Package: parser3-dev
 Section: devel
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-safe-mode \
		--prefix=/usr \
		--sysconfdir=/etc/parser3 \
		--datadir=/usr/share/parser3 \
		--libdir=/usr/lib/parser3 \
		--includedir=/usr/include/parser3 \
		--with-shared-xml=/usr/ \
		--with-shared-gc=/usr/ \
		--with-mysql-client=/usr \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info \
		--with-apache=/usr/bin/apxs2 \
		--with-dynamic-stdcpp \
		CFLAGS="$(CFLAGS) -fPIC" CXXFLAGS="$(CXXFLAGS) -fPIC" \
		LDFLAGS="-Wl,-z,defs" LIBS="-lpcre"

override_dh_auto_install:
	dh_auto_install
	mv debian/tmp/etc/parser3/auto.p.dist \
		debian/tmp/etc/parser3/auto.p
	mkdir debian/tmp/etc/parser3/apache2 ; cp debian/tmp/etc/parser3/auto.p \
		debian/tmp/etc/parser3/apache2/auto.p

override_dh_link:
	for package in parser3 parser3-cgi parser3-dev libapache2-mod-parser3; do \
	  rm -rf debian/$$package/usr/share/doc/$$package; \
	done
	dh_link

## parser 3.4.2

=== debian/changelog ===
parser (3.4.2-4ubuntu1) raring; urgency=low

  * libxml2 LIBXML2_NEW_BUFFER API changes to fix FTBFS.

 -- Chris J Arges <chris.j.arges@canonical.com>  Wed, 09 Jan 2013 13:29:45 -0600

parser (3.4.2-4) unstable; urgency=low

  * Removed duplicate field copyright (fix lintian)
  * Drop DMUA, fix lintian warning
  * Bump up Standards-Version (to 3.9.4)
  * Use autotools-dev helpers to update config.guess/config.sub (fix
    lintian warning: outdated-autotools-helper-file)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 27 Dec 2012 18:59:50 +0400

parser (3.4.2-3) unstable; urgency=low

  * Remove duplicated Copyright fields from debian/copyright (fix lintian W)
  * Document non-free license for json (see #692628)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 11 Dec 2012 18:02:03 +0400

parser (3.4.2-2) unstable; urgency=low

  * Add -D_LARGEFILE64_SOURCE to fix FTBS of apache2 module for i386
  * Drop quilt deps
  * Add versioned deps on g++

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 28 Jun 2012 15:49:47 +0400

parser (3.4.2-1) unstable; urgency=low

  * Imported Upstream version 3.4.2
  * Adopt changes by Konstantin Morshnev for 3.4.2
  * Change Build-Depends:
    - add g++, libltdl-dev
    - drop automake1.9, apache2-threaded-dev
  * Fix auto.p.dist installation
  * Fix mod_parser3.so path
  * Drop unused override's
  * Drop --disable-version-update option
  * Update debian/operators.ru.txt

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 28 Jun 2012 13:34:19 +0400

parser (3.4.1-7) unstable; urgency=low

  * Added patch 115 to call pa_setup_module_cells() while real request
    handling.
  * Fix syntax error for debian/copyright
  * Fix FTBFS: multiarch path for xml lib (Closes: #672054)
  * Refresh 199_reconfigure.patch
  * Change dh compat to 9, enable hardening support
  * Drop custom CFLAGS, LDFLAGS in debian/rules
  * Add -fPIC to CFLAGS/CXXFLAGS

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 01 Jun 2012 15:58:59 +0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: parser
 Section: web
 Priority: optional
-Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50), automake1.9, libgc-dev, libpcre3-dev, libxml2-dev, libxslt1-dev, quilt, apache2-prefork-dev (>= 2.2.3) | apache2-threaded-dev (>= 2.2.3)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
+Build-Depends: debhelper (>= 9), g++ (>=4:4.4.5), libltdl-dev, libgc-dev, libpcre3-dev, libxml2-dev, libxslt1-dev, apache2-prefork-dev (>= 2.2.3), autotools-dev
 VCS-Git: git://git.debian.org/collab-maint/parser.git
 VCS-Browser: http://git.debian.org/?p=collab-maint/parser.git;a=summary
 Homepage: http://www.parser.ru/en/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: parser3
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND=-D_LARGEFILE64_SOURCE

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--sysconfdir=/etc/parser3 \
		--datadir=/usr/share/parser3 \
		--libdir=/usr/lib/parser3 \
		--includedir=/usr/include/parser3 \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info \
		--disable-safe-mode \
		--with-xml \
		--with-apache \
		--with-pic

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/etc/parser3/
	mv debian/tmp/usr/bin/auto.p.dist \
		debian/tmp/etc/parser3/auto.p
	mkdir debian/tmp/etc/parser3/apache2 ; cp debian/tmp/etc/parser3/auto.p \
		debian/tmp/etc/parser3/apache2/auto.p

override_dh_link:
	for package in parser3 parser3-cgi parser3-dev libapache2-mod-parser3; do \
	  rm -rf debian/$$package/usr/share/doc/$$package; \
	done
	dh_link

## parser 3.4.3

=== debian/changelog ===
parser (3.4.3-6) unstable; urgency=medium

  * Fix FTBFS on g++-4.9.2's stdlib implementation (Closes: #785511)
  * libxml now C++ lib, exclude extern C

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 08 Jun 2015 22:58:17 +0300

parser (3.4.3-5) unstable; urgency=medium

  * Bump up Standards-Version (to 3.9.6)
  * Override debian-watch-may-check-gpg-signature lintian warning

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 27 Oct 2014 15:18:52 +0300

parser (3.4.3-4) unstable; urgency=medium

  * Fix FTBFS: string3.h:51: undefined reference
    to `_pcre_default_tables' (Closes: #755346)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 30 Aug 2014 13:37:57 +0400

parser (3.4.3-3) unstable; urgency=low

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on
    ppc64el by getting new libtool macros (still updates
    config.{sub,guess}).  Closes: #744646, thanks to Logan Rosen.
  * Set "Section: httpd" for libapache2-mod-parser3

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 19 May 2014 13:39:10 +0400

parser (3.4.3-2) unstable; urgency=low

  * Fix lintian error: vcs-field-not-canonical
  * Drop 108_libxml2_new_buffer_fix.patch
  * Bump up Standards-Version (to 3.9.5)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 08 Jan 2014 12:52:22 +0400

parser (3.4.3-1) unstable; urgency=low

  * Fix mod_parser3.so path
  * Reformat maintainer scripts
  * Don't restart apache2 if it's configuration is broken (LP: #1160836)
  * Imported Upstream version 3.4.3 (Closes: #692628 and LP: #1184257)
  * Refresh patches, drop patch 117 (applied by upstream)
  * Correct lib/json copyright info
  * Update copyright dates
  * Fix spelling (patch 109)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 05 Nov 2013 22:00:46 +0400

parser (3.4.2-7) unstable; urgency=low

  * Repackage from experimental to sid (Closes: #709470)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sun, 16 Jun 2013 15:26:02 +0400

parser (3.4.2-6) experimental; urgency=low

  * Refresh patches

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 29 May 2013 19:40:22 +0400

parser (3.4.2-5) unstable; urgency=low

  * LIBXML2_NEW_BUFFER API changes in patch 108 (from Ubuntu) to fix
    FTBFS with newer libxml2

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 22 Feb 2013 19:49:43 +0400

parser (3.4.1-6) experimental; urgency=low

  * Added patch 115 to call pa_setup_module_cells() while real request
    handling.
  * Fix FTBFS: multiarch path for xml lib (Closes: #672054)
  * Fix build errors for apache 2.4
  * Drop workaround for #666875

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 14 May 2012 17:39:07 +0400

parser (3.4.1-5) experimental; urgency=low

  * Update Build-Depends and Depends for Apache 2.4
  * Switch to dh_apache2 (Closes: #666798)
  * Override dh_fixperms for #666875
  * Fix syntax error for debian/copyright

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 07 Apr 2012 19:04:15 +0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: parser
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
-Build-Depends: debhelper (>= 9), g++ (>=4:4.4.5), libltdl-dev, libgc-dev, libpcre3-dev, libxml2-dev, libxslt1-dev, apache2-prefork-dev (>= 2.2.3), autotools-dev
-VCS-Git: git://git.debian.org/collab-maint/parser.git
-VCS-Browser: http://git.debian.org/?p=collab-maint/parser.git;a=summary
+Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
+Build-Depends: debhelper (>= 9), g++ (>=4:4.4.5), libltdl-dev, libgc-dev, libpcre3-dev, libxml2-dev, libxslt1-dev, dh-apache2, apache2-dev (>= 2.4.2-1~), dh-autoreconf
+VCS-Git: git://anonscm.debian.org/collab-maint/parser.git
+VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/parser.git;a=summary
 Homepage: http://www.parser.ru/en/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 
 Package: parser3
 Architecture: all
@@ -67,8 +66,9 @@
   * UTF-8 support
 
 Package: libapache2-mod-parser3
+Section: httpd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, parser3-common (= ${binary:Version}), apache2.2-common
+Depends: ${shlibs:Depends}, ${misc:Depends}, parser3-common (= ${binary:Version})
 Description: Parser 3, HTML-embedded scripting language (Apache2 module)
  This package provides the Apache Parser3 module.
  .

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_CFLAGS_MAINT_APPEND=-D_LARGEFILE64_SOURCE
 
 %:
-	dh $@ --with autotools_dev
+	dh $@ --with autoreconf --with apache2
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
http://www.parser.ru/download/src/ \
	/off-line/download/src/parser-([0-9.]+)\.tar\.gz

## parser 3.4.4

=== debian/changelog ===
parser (3.4.4-1) unstable; urgency=medium

  * Fix URL in debian/watch
  * Imported Upstream version 3.4.4
  * Drop patches from upstream

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 29 Apr 2016 16:30:41 +0300

parser (3.4.3-7) unstable; urgency=medium

  * Backport upstream fixes

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 23 Jun 2015 18:10:14 +0300

## parser 3.4.5

=== debian/changelog ===
parser (3.4.5-7) unstable; urgency=medium

  * Patch 112_gmime_3.0.patch to build with libgmime-3.0

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 25 Feb 2020 13:57:13 +0300

parser (3.4.5-6) unstable; urgency=medium

  * Fix FTBFS with libxml2 2.9.10 (Closes: #949423)
  * Bump up Standards-Version (to 4.5.0)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 24 Jan 2020 23:43:35 +0300

parser (3.4.5-5) unstable; urgency=medium

  * Enable $mail:receive

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 03 Dec 2019 10:27:20 +0300

parser (3.4.5-4) unstable; urgency=medium

  * Override license-problem-non-free-RFC (the entire
    rfc is not included, only the code points)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 01 Jun 2018 14:34:04 +0300

parser (3.4.5-3) unstable; urgency=medium

  * Update Vcs-* fields for salsa.
  * Bump up Standards-Version (to 4.1.4)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 01 Jun 2018 11:34:53 +0300

parser (3.4.5-2) unstable; urgency=medium

  * Bump up Standards-Version (to 4.0.0)
  * Fix lintian dep5-copyright-license-name-not-unique
  * Override lintian error apache2-module-depends-on-real-apache2-package
  * Enable hardening flags

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 10 Jul 2017 11:54:47 +0300

parser (3.4.5-1) unstable; urgency=medium

  * Imported Upstream version 3.4.5
  * Refresh patches
  * Catch spelling errors (from lintian)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 09 May 2017 01:32:58 +0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: web
 Priority: optional
 Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
-Build-Depends: debhelper (>= 9), g++ (>=4:4.4.5), libltdl-dev, libgc-dev, libpcre3-dev, libxml2-dev, libxslt1-dev, dh-apache2, apache2-dev (>= 2.4.2-1~), dh-autoreconf
-VCS-Git: git://anonscm.debian.org/collab-maint/parser.git
-VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/parser.git;a=summary
+Build-Depends: debhelper (>= 9), g++ (>=4:4.4.5), libltdl-dev, libgc-dev, libpcre3-dev, libxml2-dev, libxslt1-dev, dh-apache2, apache2-dev (>= 2.4.2-1~), dh-autoreconf, libgmime-3.0-dev
+Vcs-Git: https://salsa.debian.org/sk-guest/parser.git
+Vcs-Browser: https://salsa.debian.org/sk-guest/parser
 Homepage: http://www.parser.ru/en/
-Standards-Version: 3.9.6
+Standards-Version: 4.5.0
 
 Package: parser3
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND=-D_LARGEFILE64_SOURCE
 
 %:
@@ -17,7 +18,8 @@
 		--disable-safe-mode \
 		--with-xml \
 		--with-apache \
-		--with-pic
+		--with-pic \
+		--with-mailreceive
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
http://www.parser.ru/en/download/src/ .*/parser-([0-9.]+)\.tar\.gz

## parser 3.4.6

=== debian/changelog ===
parser (3.4.6-4) unstable; urgency=medium

  * QA upload.
  * debian/patches/pcre2.patch: New; port to PCRE2 (Closes: #1000006).
  * debian/control (Build-Depends): Replace libpcre3-dev with
    libpcre2-dev.  Remove apache2-dev version constraint, satisfiable even
    in jessie.
    (Rules-Requires-Root): Set to "no".
    (Standards-Version): Bump to 4.6.2; no changes needed.
  * rules: Drop --with autoreconf; it's the default.
  * debian/watch: Upgrade to version 4.
  * debian/source.lintian-overrides: Rename as...
  * debian/source/lintian-overrides: ...and add
    license-problem-convert-utf-code (false positive).  Rename
    debian-watch-may-check-gpg-signature to
    debian-watch-does-not-check-openpgp-signature.
  * debian/copyright: Update copyright years, add more holders.  Add
    University of Illinois license.  Fix superfluous and redundant
    patterns; remove tabs in license text.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 12 Dec 2023 10:26:45 +0200

parser (3.4.6-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #986413)
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/control: Update Vcs-* fields accordingly.
  * debian/control: Update version requirement to fix lintian error
    not-binnmuable-any-depends-all.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Nov 2021 15:06:00 -0500

parser (3.4.6-2) unstable; urgency=medium

  * Bump up Standards-Version (to 4.5.1)
  * Apply multiarch hinter suggestion
  * Drop libmariadb.so-related change in auto.p (parser-mysql now
    depends on compatibility libs)
  * Apply suggestions for 103_auto_p.patch (to be removed in the next
    release).  Thanks to Konstantin Morshnev.

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 25 Jan 2021 13:43:30 +0300

parser (3.4.6-1) unstable; urgency=medium

  * New upstream version 3.4.6
  * Refresh patches
  * Drop wrong lintian override
  * Fix spare-manual-page (lintian)
  * Architecture any -> all for -common and -dev
  * Fix package-uses-deprecated-debhelper-compat-version (lintian)
  * Rename debian/TODO.Debian
  * Use secure URL's

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 22 Jan 2021 12:05:07 +0300

parser (3.4.5-9) unstable; urgency=medium

  * Revert $mail:receive (no users)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Thu, 22 Oct 2020 14:02:15 +0300

parser (3.4.5-8) unstable; urgency=medium

  * Apply Multiarch hinter suggestions
  * Drop 109_gmime-2.6.patch

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 28 Apr 2020 09:58:29 +0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: parser
 Section: web
 Priority: optional
-Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
-Build-Depends: debhelper (>= 9), g++ (>=4:4.4.5), libltdl-dev, libgc-dev, libpcre3-dev, libxml2-dev, libxslt1-dev, dh-apache2, apache2-dev (>= 2.4.2-1~), dh-autoreconf, libgmime-3.0-dev
-Vcs-Git: https://salsa.debian.org/sk-guest/parser.git
-Vcs-Browser: https://salsa.debian.org/sk-guest/parser
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13), libltdl-dev, libgc-dev,
+ libpcre2-dev, libxml2-dev, libxslt1-dev, dh-apache2,
+ apache2-dev
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Homepage: http://www.parser.ru/en/
-Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/debian/parser.git
+Vcs-Browser: https://salsa.debian.org/debian/parser
 
 Package: parser3
 Architecture: all
-Depends: ${misc:Depends}, parser3-cgi (>= ${source:Version}), parser3-common (>= ${source:Version})
+Depends: ${misc:Depends}, parser3-cgi (>= ${source:Version}), parser3-common (= ${source:Version})
 Description: Parser 3, HTML-embedded scripting language (metapackage)
  This is a metapackage that, when installed, guarantees that you have
  at least one of the server-side versions of the Parser 3 interpreter
@@ -29,7 +32,8 @@
   * UTF-8 support
 
 Package: parser3-common
-Architecture: any
+Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Common files for packages built from the Parser 3 source
  This package contains the documentation and example files relevant to
@@ -48,7 +52,7 @@
 
 Package: parser3-cgi
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, parser3-common (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, parser3-common (= ${source:Version})
 Description: Parser 3, HTML-embedded scripting language (CGI binary)
  This package provides the /usr/lib/cgi-bin/parser3 CGI interpreter built
  for use in Apache 2 with mod_actions, or any other CGI httpd that
@@ -68,7 +72,7 @@
 Package: libapache2-mod-parser3
 Section: httpd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, parser3-common (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, parser3-common (= ${source:Version})
 Description: Parser 3, HTML-embedded scripting language (Apache2 module)
  This package provides the Apache Parser3 module.
  .
@@ -85,8 +89,9 @@
 
 Package: parser3-dev
 Section: devel
-Architecture: any
-Depends: ${misc:Depends}, parser3-common (= ${binary:Version})
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, parser3-common (= ${source:Version})
 Description: Files for Parser 3 module development
  This package provides the files from the Parser 3 source needed for
  compiling additional modules.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND=-D_LARGEFILE64_SOURCE

%:
	dh $@ --with apache2

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--sysconfdir=/etc/parser3 \
		--datarootdir=/usr/share/parser3 \
		--libdir=/usr/lib/parser3 \
		--includedir=/usr/include/parser3 \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info \
		--disable-safe-mode \
		--with-xml \
		--with-apache \
		--with-pic \
		--with-system-cfg=/etc/parser3/auto.p

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/etc/parser3/
	mkdir debian/tmp/etc/parser3/apache2 ; cp debian/tmp/etc/parser3/auto.p \
		debian/tmp/etc/parser3/apache2/auto.p
	rm debian/tmp/usr/lib/parser3/mod_parser3.la

override_dh_link:
	for package in parser3 parser3-cgi parser3-dev libapache2-mod-parser3; do \
	  rm -rf debian/$$package/usr/share/doc/$$package; \
	done
	dh_link

## parser 3.5.1

=== debian/changelog ===
parser (3.5.1-3) unstable; urgency=medium

  * QA upload.
  * debian/patches/libxml2-2.14.patch: New; fix FTBFS with libxml2/2.14.x
    (Closes: #1106637).
  * debian/patches/gcc-15.patch: New; fix FTBFS with GCC 15 (#1097549).
  * debian/control (Standards-Version): Bump to 4.7.2; no changes needed.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 10 Aug 2025 08:38:47 +0300

parser (3.5.1-2) unstable; urgency=medium

  * QA upload.

  [ Chris Lamb ]
  * debian/rules: Fix reproducibility regression by deleting the test
    artifacts right after the test is being run (Closes: #1093198).

  [ Yavor Doganov ]
  * debian/tests/parse: Enable logging and pass the configuration file at
    build time.  Don't parse the Russian page; entirely redundant
    according to upstream.
  * debian/clean: As advised by upstream, delete src/main/compile.tab.C to
    force regeneration with Debian's Bison. Should fix FTBFS (test
    failure) on hppa and loong64.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 22 Jan 2025 11:36:35 +0200

parser (3.5.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
    - Fixes license incompatibility (Closes: #1091999).
  * Run wrap-and-sort -ast.
  * debian/patches/pcre2.patch: Delete; applied upstream.
  * debian/patches/libxml2-2.12.patch: Likewise.
  * debian/patches/103_auto_p.patch: Likewise.
  * debian/gbp.conf: New file.
  * debian/operators.ru.txt: Delete; now present in upstream tarball.
  * debian/parser3-common.docs: Install both operators.* files.
  * debian/examples/index.ru.html: Update from the canonical URL.
  * debian/README.source: Remove redundant stuff.
  * debian/control (Build-Depends): Add bison; sometimes the build fails
    because of that.
  * debian/tests/control: New file.
  * debian/tests/adequate: New test.
  * debian/tests/parse: Likewise.
  * debian/rules (override_dh_auto_test): New; run the parse test.
  * debian/clean: New file; delete parse artifacts.
  * debian/copyright: Perform an audit of the code; add missing stanzas,
    add more copyright holders, fix many discrepancies (Closes: #1073580).
    Thanks Phil Wyett.  Update copyright years.  Explain why Debian
    distributes the package under GPL-3.  Remove src/include/pa_hash.h:
    upstream clarified that the file is under GPL-2+ (only the integer
    arrays were taken from a file under Zend/PHP license but all of them
    have been replaced in this release).

 -- Yavor Doganov <yavor@gnu.org>  Sat, 11 Jan 2025 17:01:44 +0200

parser (3.4.6-5) unstable; urgency=medium

  * QA upload.
  * debian/patches/libxml2-2.12.patch: New; fix FTBFS with libxml2/2.12
    (Closes: #1073353).  Thanks Lucas Nussbaum for the report.
  * debian/control (Standards-Version): Bump to 4.7.0; no changes needed.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 16 Jun 2024 23:15:36 +0300

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,28 @@
 Section: web
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 13), libltdl-dev, libgc-dev,
- libpcre2-dev, libxml2-dev, libxslt1-dev, dh-apache2,
- apache2-dev
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-apache2,
+ apache2-dev,
+ bison,
+ libgc-dev,
+ libltdl-dev,
+ libpcre2-dev,
+ libxml2-dev,
+ libxslt1-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: http://www.parser.ru/en/
 Vcs-Git: https://salsa.debian.org/debian/parser.git
 Vcs-Browser: https://salsa.debian.org/debian/parser
 
 Package: parser3
 Architecture: all
-Depends: ${misc:Depends}, parser3-cgi (>= ${source:Version}), parser3-common (= ${source:Version})
+Depends:
+ parser3-cgi (>= ${source:Version}),
+ parser3-common (= ${source:Version}),
+ ${misc:Depends},
 Description: Parser 3, HTML-embedded scripting language (metapackage)
  This is a metapackage that, when installed, guarantees that you have
  at least one of the server-side versions of the Parser 3 interpreter
@@ -34,7 +44,8 @@
 Package: parser3-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Common files for packages built from the Parser 3 source
  This package contains the documentation and example files relevant to
  all the other packages built from the Parser 3 source.
@@ -52,7 +63,10 @@
 
 Package: parser3-cgi
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, parser3-common (= ${source:Version})
+Depends:
+ parser3-common (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Parser 3, HTML-embedded scripting language (CGI binary)
  This package provides the /usr/lib/cgi-bin/parser3 CGI interpreter built
  for use in Apache 2 with mod_actions, or any other CGI httpd that
@@ -72,7 +86,10 @@
 Package: libapache2-mod-parser3
 Section: httpd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, parser3-common (= ${source:Version})
+Depends:
+ parser3-common (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Parser 3, HTML-embedded scripting language (Apache2 module)
  This package provides the Apache Parser3 module.
  .
@@ -91,7 +108,9 @@
 Section: devel
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, parser3-common (= ${source:Version})
+Depends:
+ parser3-common (= ${source:Version}),
+ ${misc:Depends},
 Description: Files for Parser 3 module development
  This package provides the files from the Parser 3 source needed for
  compiling additional modules.

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,10 @@
 		--with-pic \
 		--with-system-cfg=/etc/parser3/auto.p
 
+override_dh_auto_test:
+	./debian/tests/parse
+	rm -f debian/examples/_test.*
+
 override_dh_auto_install:
 	dh_auto_install
 	mkdir -p debian/tmp/etc/parser3/

=== debian/watch ===
version=4
https://www.parser.ru/en/download/src/ .*/parser-@ANY_VERSION@@ARCHIVE_EXT@
